﻿namespace PlurkApi
{
    /// <summary>
    /// supported language
    /// </summary>
    public enum lang
    {
        /// <summary>
        /// 'English'
        /// </summary>
        en,

        /// <summary>
        /// 'Português'
        /// </summary>
        pt_BR,

        /// <summary>
        /// '中文 (中国)'
        /// </summary>
        cn,

        /// <summary>
        /// 'Català'
        /// </summary>
        ca,

        /// <summary>
        /// 'Ελληνικά'
        /// </summary>
        el,

        /// <summary>
        /// 'Dansk'
        /// </summary>
        dk,

        /// <summary>
        /// 'Deutsch'
        /// </summary>
        de,

        /// <summary>
        /// 'Español'
        /// </summary>
        es,

        /// <summary>
        /// 'Svenska'
        /// </summary>
        sv,

        /// <summary>
        /// 'Norsk bokmål'
        /// </summary>
        nb,

        /// <summary>
        /// 'Hindi'
        /// </summary>
        hi,

        /// <summary>
        /// 'Română'
        /// </summary>
        ro,

        /// <summary>
        /// 'Hrvatski'
        /// </summary>
        hr,

        /// <summary>
        /// 'Français'
        /// </summary>
        fr,

        /// <summary>
        /// 'Pусский'
        /// </summary>
        ru,

        /// <summary>
        /// 'Italiano '
        /// </summary>
        it,

        /// <summary>
        /// '日本語'
        /// </summary>
        ja,

        /// <summary>
        /// 'עברית'
        /// </summary>
        he,

        /// <summary>
        /// 'Magyar'
        /// </summary>
        hu,

        /// <summary>
        /// 'Nederlands'
        /// </summary>
        ne,

        /// <summary>
        /// 'ไทย'
        /// </summary>
        th,

        /// <summary>
        /// 'Filipino'
        /// </summary>
        ta_fp,

        /// <summary>
        /// 'Bahasa Indonesia'
        /// </summary>
        @in,

        /// <summary>
        /// 'Polski'
        /// </summary>
        pl,

        /// <summary>
        /// 'العربية'
        /// </summary>
        ar,

        /// <summary>
        /// 'Finnish'
        /// </summary>
        fi,

        /// <summary>
        /// '中文 (繁體中文)'
        /// </summary>
        tr_ch,

        /// <summary>
        /// 'Türkçe'
        /// </summary>
        tr,

        /// <summary>
        /// 'Gaeilge'
        /// </summary>
        ga,

        /// <summary>
        /// 'Slovenský'
        /// </summary>
        sk,

        /// <summary>
        /// 'українська'
        /// </summary>
        uk,

        /// <summary>
        /// 'فارسی
        /// </summary>
        fa,
    }
}
